#[derive(Debug, Serialize, Deserialize, Validate)]
pub struct ErstelleBenutzerDto {
    #[validate(length(min = 10, max = 255))]
    pub e_mail: String,

    #[validate(length(min = 8, max = 8))]
    pub kennung: String,

    #[validate(length(max = 100))]
    pub nachname: String,

    #[validate(length(max = 100))]
    pub vorname: String,
}

#[derive(Debug, Serialize)]
pub struct DeviceResponse {
    pub id: Uuid,
    pub name: String,
    pub serial_number: String,
    pub description: Option<String>,
    pub status: String,
    pub created_at: chrono::DateTime<chrono::Utc>,
}

// Conversion from Entity to Response Model
impl From<entities::devices::Model> for DeviceResponse {
    fn from(entity: entities::devices::Model) -> Self {
        Self {
            id: entity.id,
            name: entity.name,
            serial_number: entity.serial_number,
            description: entity.description,
            status: entity.status,
            created_at: entity.created_at,
        }
    }
}
